# 3d Printing
### What to print for the most recent version of the TCD:
#### Keypad:
- _keypad_body-v2_
- _keypad_bezel-v2_
- _button_lens_bracket-v2_
- _enter_button_spacer_

#### Enclosures:
- _enclosure_one_piece-v3_
- _dest_time_enclosure-v2_
- _pres_time_enclosure-v2_
- _last_time_enclosure-v2_
- _display_faceplate_ (x3)

### Notes
- _keypad_body-v2_ - print with the key side up, with supports, with the top parallel to the bed. Ironing in Cura can be used to smooth out the top surface. The example in pictures is not sanded/painted at all. [eSUN PLA PRO in Olive Green](https://amzn.to/3BTbkVD) is very very close to the color of the actual TRW keypad housing.
- _keypad_bezel-v2_ - print with the key side up, and supports. Ironing in Cura can be used to smooth out the top surface. The example in pictures is not sanded/painted at all.
- _enter_button_spacer_ - print in white or clear since it can be seen under the enter button.
- _last_time_enclosure-v2_ - print face down with supports (for the speaker mounting tabs)
- _display_faceplate_ - print face down so the face is as smooth as possible. You will need 3 of these.
- 3mf files are the same as the stl files, but contain more detailed data

# Revision History
### 3/16/22
Update to the enclosures to make them more true to the original C car TCD, which is now in the restored A car.

#### Outer Enclosure v3:
- Corrected top dimensions
- Made bends on left (96 degrees) and right (104 degrees) sides angled forward instead of 90 degrees to the top edge
- Adjusted profile of the left and right front edges
- Adjusted angle of bends of left (91.3 degrees) and right (94.2 degrees) sides in relation to the top
- Added proper curves to right back side
- Added rear screw dash mounting holes (4 on right, 2 on left)
- Adjusted display mounting holes to match original (which are not evenly spaced)
- Increased display mounting hole size to 3mm

#### Display Enclosures v2:
- Made display enclosures resemble LMB boxes a bit more 
- Rounded top left/right edges, and face bottom edge
- Squared bottom left/right edges, and top face edge
- Increased space around segment displays by 0.2mm
- Matched mounting holes to enclosure_one_piece-v3
- Created separate enclosures for Destination Time & Present Time (since mounting holes are now different between the two)

### 9/24/21
#### Keypad v2:
- updated to more closely match TRW keypad
- moved side buttons and keypad down slightly
- moved the slope of the top and bottom down, so the top is more flat when compared to the bottom
- flattened the 'clear' lettering a bit
- removed lip on the inside of the lens/button cutout
- lens holder: made lens holes larger, body slimmer, and easier to snap into body

### 9/18/21
#### Outer Enclosure v2:
- Increased rear opening from about 9.75 to 10.25" (width of a Delorean upper center console)
- depth increased a tiny bit - left side 3", right side 4"
- Height increased from 4.5" to 5"
- Angles on left and right side going front to back are now about even
- Bends on sides moved forward a bit
- Rounded the corner on the lower left side
- Notch for keypad on left side, and reformed in the front
